Bug 1891499

Summary: Other machine config pools do not show during update
Product: OpenShift Container Platform Reporter: Robb Hamilton <rhamilto>
Component: Management ConsoleAssignee: Yadan Pei <yapei>
Status: CLOSED ERRATA QA Contact: Yadan Pei <yapei>
Severity: medium Docs Contact:
Priority: unspecified    
Version: 4.6CC: aos-bugs, jokerman, spadgett, wking, yapei
Target Milestone: ---   
Target Release: 4.6.z   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: 1891498 Environment:
Last Closed: 2020-12-21 13:23:55 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1891498    
Bug Blocks:    
Attachments:
Description Flags
additional mcp is shown during upgrade none

Description Robb Hamilton 2020-10-26 13:10:28 UTC
+++ This bug was initially created as a clone of Bug #1891498 +++

Description of problem:  in 4.6, we updated the UI to show the progress of Cluster Operators and Master and Worker nodes while an update is in progress; however, we did not account for nodes from other machine config pools.

Steps to Reproduce:
1.  Add an additional machine config pool per https://github.com/openshift/machine-config-operator/blob/master/docs/custom-pools.md#creating-a-custom-pool 
2.  Kick off a cluster update
3.  Note the new custom pool does not indicate its progress

Comment 1 Robb Hamilton 2020-11-12 13:47:49 UTC
Awaiting cherry-pick approval.

Comment 2 Robb Hamilton 2020-12-04 16:03:55 UTC
Awaiting cherry-pick approval.

Comment 5 Yadan Pei 2020-12-18 10:00:33 UTC
Created attachment 1740196 [details]
additional mcp is shown during upgrade

1. setup 4.6.0-0.nightly-2020-12-16-201440 cluster
2. follow steps in https://github.com/openshift/machine-config-operator/blob/master/docs/custom-pools.md#creating-a-custom-pool to create a custom pool
3. trigger an upgrade
$ oc adm upgrade --to 4.6.0-0.nightly-2020-12-17-202735 --force
4. check cluster settings page, mcp `Infra Nodes` is shown 

Verified on 4.6.0-0.nightly-2020-12-16-201440

Comment 7 errata-xmlrpc 2020-12-21 13:23:55 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Important: OpenShift Container Platform 4.6.9 security and bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:5614